# -*- coding: UTF-8 -*-

from django.db.models import Q
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery

from api.models import SuoZhang


class SuoZhangDB(DataBuilder):
    def getval_tag_name(self, obj):
        return unicode(obj.tag)


class SuoZhangDQ(DataSQLQuery):
        model = SuoZhang
        data_model = SuoZhangDB
